using System.Collections.Generic;

namespace Valg.EVA.Skanning.Configuration
{
    public interface IApplicationConfigurationReader
    {
        string GetConnectionString();
        string GetAppSetting(string name);
        string GetOptionalAppSetting(string appSettingKey);
        string GetTransferWebServiceUrl();
        Dictionary<string, string> GetAppSettingsStartsWith(string appSettingName);
    }
}

